<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_vars.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>allow_upscaling
: <a class="el" href="classView.html#a89afa2a83e27664ebabe4d835a08fced">View</a>
</li>
<li>argument
: <a class="el" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">Task</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>bpc
: <a class="el" href="classIIPImage.html#aff0048158d9083ccb4f4e3b91c1d82f7">IIPImage</a>
, <a class="el" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">RawTile</a>
</li>
<li>buffer
: <a class="el" href="structiip__destination__mgr.html#a35b99ba1627c6fb41dd3cfe8ab8c4929">iip_destination_mgr</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>channels
: <a class="el" href="classIIPImage.html#afac1d8fe3ba167cfb90a49d437021114">IIPImage</a>
, <a class="el" href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">RawTile</a>
</li>
<li>cmap
: <a class="el" href="classView.html#aef2cc576c53dc89c1b0e56f898637bb0">View</a>
</li>
<li>cmapped
: <a class="el" href="classView.html#ab8f56e796bef6f4f53a2e4b0b96b27e5">View</a>
</li>
<li>colourspace
: <a class="el" href="classIIPImage.html#abf83b9ff976db63209afe1029934dd61">IIPImage</a>
, <a class="el" href="classView.html#ae4d962c68d2c740d5b74784420624b5c">View</a>
</li>
<li>command_timer
: <a class="el" href="classTask.html#a874abbe6afac5cc75ae44c58d52f9c93">Task</a>
</li>
<li>compressionType
: <a class="el" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">RawTile</a>
</li>
<li>contrast
: <a class="el" href="classView.html#a0eb16fb9e47c8a0f120392682280c14a">View</a>
</li>
<li>ctw
: <a class="el" href="classView.html#afa69db05c497c874f872249f6bd24223">View</a>
</li>
<li>currentX
: <a class="el" href="classIIPImage.html#ab2b692ba4a6f2a344d8eefcc441dec19">IIPImage</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>data
: <a class="el" href="classRawTile.html#ab914435da291c2834e763231ad973144">RawTile</a>
</li>
<li>dataLength
: <a class="el" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">RawTile</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>embed_icc
: <a class="el" href="classView.html#a00d687587ca91d27fe705fb642e4a611">View</a>
</li>
<li>equalization
: <a class="el" href="classView.html#a5bf5002eeb7a74fb275f4bc628694314">View</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>filename
: <a class="el" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">RawTile</a>
</li>
<li>flip
: <a class="el" href="classView.html#a5445431e62f1f4fa2b8e39e5b116dd9f">View</a>
</li>
<li>format
: <a class="el" href="classIIPImage.html#a2123b0b3e6b6fd7712cd32c17bf82579">IIPImage</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>gamma
: <a class="el" href="classView.html#a66501d855c367e23894d2ca9958d7b44">View</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>height
: <a class="el" href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">RawTile</a>
</li>
<li>histogram
: <a class="el" href="classIIPImage.html#ac173098b421c39783feebdf753cbdf29">IIPImage</a>
</li>
<li>hSequence
: <a class="el" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">RawTile</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>icc
: <a class="el" href="classCompressor.html#a788d5559f4276c1498cf9bcdca2d42cb">Compressor</a>
</li>
<li>image_widths
: <a class="el" href="classIIPImage.html#a44c428ccf5732f5930897db57b75f63b">IIPImage</a>
</li>
<li>inverted
: <a class="el" href="classView.html#af40f237efd940ec20457da749f8b464e">View</a>
</li>
<li>isSet
: <a class="el" href="classIIPImage.html#a1dde1c87d4659cc987ec30e74164686c">IIPImage</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>kdu_readmode
: <a class="el" href="classKakaduImage.html#a043b1b8e649808c1d1b6bb174ca48731">KakaduImage</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>layers
: <a class="el" href="classView.html#ac2d157433d47b53439fec339fc6be28e">View</a>
</li>
<li>lut
: <a class="el" href="classIIPImage.html#a160a9f35f8bf1bbe25d55df3f74a056f">IIPImage</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>maintain_aspect
: <a class="el" href="classView.html#a5ac9e196f50d7dff4d4dab53f224d748">View</a>
</li>
<li>max_layers
: <a class="el" href="classView.html#a65d44ca93e3e4712909232ab5961e410">View</a>
</li>
<li>memoryManaged
: <a class="el" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">RawTile</a>
</li>
<li>metadata
: <a class="el" href="classIIPImage.html#a83030b8e4eb6bbcbb4abdb4932a8d531">IIPImage</a>
</li>
<li>min
: <a class="el" href="classIIPImage.html#a01326e716795bcfa30799c4a3a8dd26f">IIPImage</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>numResolutions
: <a class="el" href="classIIPImage.html#a87e6b75dadea8b2835fc798b2c6422f7">IIPImage</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>output_format
: <a class="el" href="classView.html#a97559125ceaddb8a589c390934a338c8">View</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>padded
: <a class="el" href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">RawTile</a>
</li>
<li>pub
: <a class="el" href="structiip__destination__mgr.html#ad7067c2a5f663ce429b348567502711a">iip_destination_mgr</a>
</li>
</ul>


<h3><a id="index_q"></a>- q -</h3><ul>
<li>Q
: <a class="el" href="classCompressor.html#a7a48db7e754ff8335485941f704a40a3">Compressor</a>
</li>
<li>quality
: <a class="el" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">RawTile</a>
</li>
<li>quality_layers
: <a class="el" href="classIIPImage.html#aa79374528c9480b121a286c1c9f056a2">IIPImage</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>resolution
: <a class="el" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">RawTile</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>sampleType
: <a class="el" href="classIIPImage.html#a7d66e92f49d1d065edd86f89c186bc7e">IIPImage</a>
, <a class="el" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">RawTile</a>
</li>
<li>session
: <a class="el" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">Task</a>
</li>
<li>shade
: <a class="el" href="classView.html#a6caf330847d42fc8f5527359cade610c">View</a>
</li>
<li>shaded
: <a class="el" href="classView.html#a605b9d2c55831e9daa9d270d17f45c7d">View</a>
</li>
<li>size
: <a class="el" href="structiip__destination__mgr.html#aa32d322345e39442dd70920a225d98b9">iip_destination_mgr</a>
</li>
<li>source
: <a class="el" href="structiip__destination__mgr.html#a39557fb6d3960bb476216e732bab8ffe">iip_destination_mgr</a>
</li>
<li>strip_height
: <a class="el" href="structiip__destination__mgr.html#abe4bc788bf7737a68aecfb123582dd59">iip_destination_mgr</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>tile_width
: <a class="el" href="classIIPImage.html#a9b51c8811c316082af8ac76f8bf71458">IIPImage</a>
</li>
<li>tileNum
: <a class="el" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">RawTile</a>
</li>
<li>timestamp
: <a class="el" href="classIIPImage.html#a575d5f8b1d24937934f1755dacc17fcc">IIPImage</a>
, <a class="el" href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">RawTile</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>virtual_levels
: <a class="el" href="classIIPImage.html#a03b0132269c3aa1db9bfadb2b332265f">IIPImage</a>
</li>
<li>vSequence
: <a class="el" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">RawTile</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>width
: <a class="el" href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">RawTile</a>
</li>
</ul>


<h3><a id="index_x"></a>- x -</h3><ul>
<li>xmp
: <a class="el" href="classCompressor.html#a45698fa97911f4ecfe030c077c139c2b">Compressor</a>
</li>
</ul>


<h3><a id="index_y"></a>- y -</h3><ul>
<li>yangle
: <a class="el" href="classView.html#a272483c42cab8c6340ccd9aee4a0a590">View</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
